--- title: "Get Current User" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/authentication/get-current-user/ description: "This API enables you to fetch the details of the current user logged into the Catalyst application, on whose scope the function is being executed through Catalyst Authentication." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Get the Details of the Current User ### Description This API enables you to fetch the details of the current [user](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/user-management/users/introduction/) logged into the Catalyst application, on whose scope the function is being executed. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/project-user/current - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.projects.users.READ > **Note:** This operation can also be executed with Catalyst user authentication permissions using Catalyst SDKs. However, the user can only obtain their own user details. Refer to the [Catalyst API Prerequisites section](https://docs.catalyst.zoho.com/en/api/introduction/overview-and-prerequisites/#prerequisites) for details. ### Response Details The response will contain the details of the current user including their identification values such as `zaid`, `user_id`, `email_id`, and their role details. **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/3000000005007/project-user/current \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*6.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "zuid": 3000000006111, "zaaid": 1019540153, "status": "ACTIVE", "user_id": 671930409, "user_type": "App Administrator", "is_confirmed": true, "email_id": "p.boyle@zylker.com", "first_name": "Patricia", "last_name": "Boyle", "created_time": "Jul 09, 2019 04:11 PM", "modified_time": "Jul 09, 2019 04:11 PM", "invited_time": "Jul 09, 2019 04:11 PM", "role_details": { "role_id": 3000000005090, "role_name": "App Administrator" } "org_id":1019540153 "locale": "us|en_us|America/Los_Angeles" "time_zone": "America/Los_Angeles" } } ``` ### SDK Documentation [Get User Details- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/authentication/get-user-details/) [Get User Details- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/authentication/get-user-details/) [Get User Details- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/authentication/get-user-details/) [Get User Details- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/authentication/get-user-details/)